LibreOffice: XDialogEventHandler Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDialogEventHandler Interface Reference

Handles events fired by dialogs represented by a com::sun::star::awt::XDialog interface. More...

`import "XDialogEventHandler.idl";`

Inheritance diagram for XDialogEventHandler:

## Public Member Functions
boolean | callHandlerMethod ([in] com::sun::star::awt::XDialog xDialog, [in] any EventObject, [in] string MethodName) raises (com::sun::star::lang::WrappedTargetException)
| Handles an event generated by a dialog.
sequence< string > | getSupportedMethodNames ()
| returns a sequence of supported method names
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Handles events fired by dialogs represented by a com::sun::star::awt::XDialog interface.

## Member Function Documentation

## ◆ callHandlerMethod()

boolean callHandlerMethod | ( | [in] com::sun::star::awt::XDialog | xDialog,
|  | [in] any | EventObject,
|  | [in] string | MethodName )
raises | ( | com::sun::star::lang::WrappedTargetException ) |  |  |

Handles an event generated by a dialog.

The implementation must be aware that the EventObject argument contains types which it is not prepared to handle. Similarly this applies for the MethodName argument. In this case the method should simply return false.

Parameters

  xDialog | the dialog instance that generated the event. This is the same dialog instance that was returned by the com::sun::star::awt::XDialogProvider2 createDialogWithHandler method when passing the XDialogEventHandler instance receiving the event as handler parameter.
  EventObject | an object describing the event which occurred in the dialog or anything else that provides additional information for the event. If the event was caused by the dialog or any of the controls which it contains then the any should contain an object derived from com::sun::star::lang::EventObject. Typically this would be one of the several com::sun::star::awt::*Event types.
  MethodName | the name of the function which is to be called.

Returns
  true if the event was handled, otherwise false.

Exceptions

  com::sun::star::lang::WrappedTargetException | if the implementation of the method, which is determined by the argument MethodName, throws an exception. This exception is then wrapped into a com::sun::star::lang::WrappedTargetException.

## ◆ getSupportedMethodNames()

sequence< string > getSupportedMethodNames | ( |  | ) |

returns a sequence of supported method names

Returns
  all method names that will be accepted in calls to callHandlerMethod.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDialogEventHandler.idl